EDIT - feature request #2489

strategy for congruent areas in distribution maps: create merged TDWG layer with all levels
07/06/2011 03:36 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Priority13 Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.17

Severity: normal

Description

distribution maps sometimes show areas which are congruent. This occurs because the according areas of different levels (TDWG 4
and 3) are marked with the same distribution status. For example Spain in the map for Sonchus tenerrimus:

http://wp6-cichorieae.e-taxonomy.eu/portal/?qg=cdm_dataportal/taxon/c15bcde1-71ee-4910-ae84-f9b3fcbdb453

Spain appears darker since the area is rendered twice on time per layer and both semitransparent layers overlap.
A sensible strategy is needed to handle these situations.

In this case the

Related issues:
Copied to EDIT - feature request #9122: update shapefile mappings of TDWG are... Feedback

History

#1 - 11/28/2013 12:27 PM - Andreas Kohlbecker

- Status changed from New to In Progress

The best solution would be to combine all tdwg layers into one single layer and to have the following four columns in the attribute table (example for
northern ireland ):

| tdwg1 | tdwg2 | tdwg3 | tdwg4 |
| 1 ] 11 | IRE | IRE-NI|

#2 - 09/10/2014 10:43 AM - Andreas Kohlbecker

- Keywords set to map

#3 - 05/01/2015 01:36 AM - Andreas Miiller

- Target version set to cdm_dataportal - Next Major Release

#4 - 07/27/2015 04:10 PM - Andreas Kohlbecker

the approach suggested in comment 1 is not fully sufficient, since the 'areas' that exist of multiple polygons will still have their individual outlines, they
are not dissolved or merged.

Further actions are needed to make this work.

see QGis dissolve tool for a possible means

#5 - 07/27/2015 04:12 PM - Andreas Kohlbecker

in [#4292#note-10] FranckTheeten mentioned potential problems that could arise from having multiple layers in one shapefile:

"l would recommend to keep them separated. I'm not sure how PostGIS and Geoserver handle overlays, from what | saw today it seems that

GeoServer relies on the primary key index of the base layer to handle the z-order at display (the ones with the higher indexes are placed on top of
those with lower ), this could prevent displaying a single layer aggregating the 4 zones."

#6 - 03/30/2016 08:57 AM - Andreas Kohlbecker
- Target version changed from cdm_dataportal - Next Major Release to Release 4.0

- Priority changed from New to Priority14
http://wp6-cichorieae.e-taxonomy.eu/portal/?q=cdm_dataportal/taxon/c15bcde1-71ee-4910-ae84-f9b3fcbdb453

Yes the render order of the polygons for this layer will for now only be determined by the feature index.

This could be made more deterministic by surrounding each <Rule> elements in the SLD by its own <FeatureTypeStyle>. (Update: see also
MapEditing)

See for reference:
e https://wiki.state.ma.us/confluence/display/massgis/GeoServer+-+SLD+-+Order+of+Drawing+Features

e http:/boundlessgeo.com/2014/04/deterministic-rendering-order-in-sid/

The order of <Rule> elements in the SLD already follows the order of the elements in the 'ad' map service parameter.
So simply surrounding each <Rule> element by a <FeatureTypeStyle> should give us the ability to control the render order in merged shape files.
This will make it possible to use a merged TDWG layer with all level (1-4).

#7 - 05/02/2016 03:12 PM - Andreas Miuller

- Target version changed from Release 4.0 to Release 4.1

#8 - 06/01/2016 01:23 PM - Andreas Miuller

- Target version changed from Release 4.1 to Release 4.2

#9 - 07/06/2016 03:23 PM - Andreas Miuller

- Target version changed from Release 4.2 to Release 4.3

#10 - 09/23/2016 03:25 PM - Andreas Miiller

- Target version changed from Release 4.3 to Release 4.4

#11 - 12/01/2016 02:17 PM - Andreas Miiller

- Target version changed from Release 4.4 to Release 4.5

#12 - 01/19/2017 01:25 PM - Andreas Miiller

- Target version changed from Release 4.5 to Release 4.6

#13 - 03/17/2017 08:10 AM - Andreas Miuiller

- Target version changed from Release 4.6 to Release 4.7

#14 - 05/10/2017 06:38 PM - Andreas Miiller
- Description updated

- Private changed from Yes to No

#15 - 05/10/2017 09:07 PM - Andreas Kohlbecker
- Priority changed from Priority14 to Priority13

- Target version changed from Release 4.7 to Release 4.8

#16 - 07/06/2017 10:24 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#17 - 07/21/2017 10:13 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#18 - 09/24/2017 04:06 PM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.12

#19 - 12/05/2017 02:03 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#20 - 01/31/2018 12:47 PM - Andreas Miiller
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/MapEditing
https://wiki.state.ma.us/confluence/display/massgis/GeoServer+-+SLD+-+Order+of+Drawing+Features
http://boundlessgeo.com/2014/04/deterministic-rendering-order-in-sld/

- Target version changed from Release 4.13 to Release 4.14

#21 - 02/15/2018 03:36 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#22 - 05/16/2018 11:23 AM - Andreas Kohlbecker

- Target version changed from Release 5.0 to Release 5.1

#23 - 06/28/2018 08:03 AM - Andreas Kohlbecker

- Target version changed from Release 5.1 to Release 5.2

#24 - 08/17/2018 03:53 PM - Andreas Kohlbecker

- Target version changed from Release 5.2 to Release 5.3

#25 - 09/06/2018 11:11 AM - Andreas Kohlbecker

- Target version changed from Release 5.3 to Release 5.4

#26 - 10/22/2018 10:53 AM - Andreas Kohlbecker

- Target version changed from Release 5.4 to Release 5.5

#27 - 01/30/2019 11:45 AM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.6

#28 - 02/22/2019 05:06 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Reviewed Next Major Release

#29 - 11/07/2019 02:58 PM - Andreas Kohlbecker
- Tags changed from map to map, cichorieae

- Subject changed from strategy for congruent areas in distribution maps to strategy for congruent areas in distribution maps: create merged TDWG
layer with all levels

#30 - 07/03/2020 03:36 PM - Andreas Kohlbecker
- Target version changed from Reviewed Next Major Release to Release 5.18

- % Done changed from 0 to 50

#31 - 07/03/2020 04:08 PM - Andreas Kohlbecker

the merged shapefile has been created an is available at https://github.com/cybertaxonomy/tdwg-area-shapefiles

#32 - 07/03/2020 04:09 PM - Andreas Kohlbecker

to review:

1. wait until the shapefile is available in the geoserver
2. test manually if the order of polygons works in the EDIT mapservices

#33 - 07/03/2020 04:13 PM - Andreas Kohlbecker
- Copied to feature request #9122: update shapefile mappings of TDWG areas to the merged shapefile tdwg_levels_1-4 added

#34 - 07/03/2020 04:15 PM - Andreas Kohlbecker

- Status changed from In Progress to Resolved

#35 - 08/17/2020 09:16 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

the new shape file works and the layer order is correct as the following links demonstrates:

http://edit.africamuseum.be/edit wp5/v1.2/areas.php?ad=tdwg_levels 1_4:tdwg_code:d:AGW-SL|c:AGW|b:85|a:8&as=a:8A90B6..1|b:C889AD,,1|c:A
46479,,1|d:602630..1&ms=1000,800&bbox=-121.282614,-56.563036.1.764261.-7.368862
https://github.com/cybertaxonomy/tdwg-area-shapefiles
http://edit.africamuseum.be/edit_wp5/v1.2/areas.php?ad=tdwg_levels_1_4:tdwg_code:d:AGW-SL%7Cc:AGW%7Cb:85%7Ca:8&as=a:8A90B6,,1%7Cb:C889AD,,1%7Cc:A46479,,1%7Cd:602630,,1&ms=1000,800&bbox=-121.282614,-56.563036,1.764261,-7.368862
http://edit.africamuseum.be/edit_wp5/v1.2/areas.php?ad=tdwg_levels_1_4:tdwg_code:d:AGW-SL%7Cc:AGW%7Cb:85%7Ca:8&as=a:8A90B6,,1%7Cb:C889AD,,1%7Cc:A46479,,1%7Cd:602630,,1&ms=1000,800&bbox=-121.282614,-56.563036,1.764261,-7.368862

Next step is to remap the tdwg area terms at least in the cichorieae db and in the cdmlib resources in general --> #9122

#36 - 08/19/2020 08:40 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.17
https://dev.e-taxonomy.eu/redmine/issues/9122
